%define	svn_rev	1261

%define	name	kboincspy
%define	version	0.9.2svn%{svn_rev}
%define	release	%mkrel	1

Summary:	KDE BOINC monitor
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
URL:		http://kboincspy.sf.net/
Group:		User Interface/Desktops
Source:		%{name}-%{version}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires:	kdelibs4-devel libqt4-devel	
BuildRequires:	MesaGL-devel MesaGLU-devel
%ifarch x86_64
Requires:	lib64mesagl1 lib64mesaglu1
Requires:	lib64kdecore5 lib64kdeui5 lib64kio5 lib64knotifyconfig4
Requires:       lib64qtxml4 lib64qtopengl4 lib64qtnetwork4 lib64qtgui4 lib64qtcore4
%else
Requires:	libmesagl1 libmesaglu1
Requires:	libkdecore5 libkdeui5 libkio5 libknotifyconfig4
Requires:       libqtxml4 libqtopengl4 libqtnetwork4 libqtgui4 libqtcore4
%endif
Requires:	kdelibs4-devel libqt4-devel MesaGL-devel MesaGLU-devel


%description
KBoincSpy is a KDE monitoring utility for the BOINC distributed client.
Designed to be the successor of KSetiSpy, it offers support for a
virtually unlimited number of BOINC projects through a plugin-based
architecture.

%prep
%setup -q 

%build
%cmake_kde4 -DOPENGL_xmesa_INCLUDE_DIR:PATH=%{_includedir}/GL
make

%install
%{__rm} -rf %{buildroot}
cd build
%{makeinstall_std}

%clean
%{__rm} -rf %{buildroot}

%post
/sbin/ldconfig
%update_menus

%postun
/sbin/ldconfig
%clean_menus

%files
%defattr(-,root,root)
%{_bindir}/%{name}
%{_libdir}/kde4/*.so
%{_libdir}/*.so*
%{_datadir}/applications/kde4/*.desktop
%{_datadir}/apps/%{name}/icons/oxygen/*
%{_datadir}/apps/%{name}/*rc
%{_datadir}/apps/%{name}/pics/*
%{_datadir}/apps/kconf_update/*
%{_datadir}/config.kcfg/*
%{_docdir}/HTML/en/%{name}/*
%{_iconsdir}/oxygen/*
%{_datadir}/kde4/services/*.desktop
%{_datadir}/kde4/servicetypes/*.desktop
%{_datadir}/locale/*/LC_MESSAGES/%{name}.mo
%{_includedir}/KBoincSpy/*
%{_includedir}/*.h

%changelog
* Thu Aug 26 2010 Jens Ornot <rpm@mandrivauser.de> 0.9.2svn1261-1mud2010.1
- initial build
